# Imagick::setImageProperty

(PECL imagick 2, PECL imagick 3)

Imagick::setImageProperty — Configure une propriété d'image

### Description

public Imagick::setImageProperty(string `$name`, string `$value`): bool

Configure la propriété d'image `name` à la valeur `value`. Cette méthode n'est disponible que si Imagick a été compilé avec ImageMagick version 6.3.2 ou supérieur.

### Liste de paramètres

`name`

`value`

### Valeurs de retour

Retourne `true` en cas de succès.

### Exemples

Exemple #1 Exemple avec Imagick::setImageProperty()

Définit et récupère les propriétés d'une image.

`<?php
$image = new Imagick();
$image->newImage(300, 200, "black");
$image->setImageProperty('Exif:Make', 'Imagick');
echo $image->getImageProperty('Exif:Make');
?>`

### Voir aussi

- Imagick::getImageProperty() - Retourne une propriété d'une image